## php-async-aws-ses 1.13.0

=== Makefile ===
.EXPORT_ALL_VARIABLES:

initialize: start-docker
start-docker:
	echo "Noop"

test: initialize
	./vendor/bin/simple-phpunit

clean: stop-docker
stop-docker:
	echo "Noop"

## php-async-aws-ses 1.4.0

=== debian/changelog ===
php-async-aws-ses (1.4.0-1) experimental; urgency=medium

  [ Jérémy Derussé ]
  * Generate Exceptions (#921)
  * Prepare next release (#946)

  [ David Prévot ]
  * Build-Depend on recent php-async-aws-core

 -- David Prévot <taffit@debian.org>  Thu, 04 Feb 2021 18:52:15 -0400

php-async-aws-ses (1.3.1-1) experimental; urgency=medium

  * Upload to experimental due to php-symfony-deprecation-contracts dependency

  [ Tobias Nyholm ]
  * Prepare releases (#887)

  [ David Prévot ]
  * Simplify gbp import-orig workflow

 -- David Prévot <taffit@debian.org>  Sun, 31 Jan 2021 10:13:42 -0400

php-async-aws-ses (1.3.0-1) unstable; urgency=medium

  * Initial release (new symfony build-dependency)

 -- David Prévot <taffit@debian.org>  Wed, 06 Jan 2021 22:07:33 -0400

=== debian/control ===
Source: php-async-aws-ses
Section: php
Priority: optional
Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
Uploaders: David Prévot <taffit@debian.org>
Build-Depends: debhelper-compat (= 13),
               php-async-aws-core (>> 1.9),
               phpab,
               phpunit,
               pkg-php-tools
Standards-Version: 4.5.1
Vcs-Git: https://salsa.debian.org/php-team/pear/php-async-aws-ses.git -b debian/latest
Vcs-Browser: https://salsa.debian.org/php-team/pear/php-async-aws-ses
Homepage: https://async-aws.com/clients/ses.html
Rules-Requires-Root: no

Package: php-async-aws-ses
Architecture: all
Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Description: AsyncAws Ses - AsyncAws component
 ${phpcomposer:description}.
 .
 API client for SES.
 .
 AsyncAws is a wrapper around Symfony's HTTP client and makes sure
 the asynchronous features are properly used. AsyncAws also handles
 authentication, exceptions and provide input and result objects.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with phpcomposer

override_dh_auto_build:
	phpab \
		--output src/autoload.php \
		--template debian/autoload.php.tpl \
		src
	mkdir --parents vendor AsyncAws
	ln -s ../src AsyncAws/Ses
	phpab \
		--output vendor/autoload.php \
		--template debian/autoload.tests.php.tpl \
		tests

override_dh_auto_clean:

override_dh_auto_test:
	phpunit -v tests/Unit

## php-async-aws-ses 1.4.1

=== debian/changelog ===
php-async-aws-ses (1.4.1-2) unstable; urgency=medium

  * Upload to unstable in sync with Symfony 5

 -- David Prévot <taffit@debian.org>  Fri, 19 Nov 2021 18:04:31 -0400

php-async-aws-ses (1.4.1-1) experimental; urgency=medium

  [ Jérémy Derussé ]
  * Prepare release (#1110)

  [ David Prévot ]
  * Install dh-sequence-* instead of using dh --with
  * Generate phpabtpl at build time
  * Update standards version to 4.6.0, no changes needed.

 -- David Prévot <taffit@debian.org>  Mon, 11 Oct 2021 23:51:10 -0400

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,12 @@
 Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
 Uploaders: David Prévot <taffit@debian.org>
 Build-Depends: debhelper-compat (= 13),
+               dh-sequence-phpcomposer,
                php-async-aws-core (>> 1.9),
                phpab,
                phpunit,
-               pkg-php-tools
-Standards-Version: 4.5.1
+               pkg-php-tools (>= 1.41~)
+Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/php-team/pear/php-async-aws-ses.git -b debian/latest
 Vcs-Browser: https://salsa.debian.org/php-team/pear/php-async-aws-ses
 Homepage: https://async-aws.com/clients/ses.html

## php-async-aws-ses 1.5.0

=== debian/changelog ===
php-async-aws-ses (1.5.0-1) unstable; urgency=medium

  [ Jérémy Derussé ]
  * Prepare next release (#1298)

  [ David Prévot ]
  * Mark package as Multi-Arch: foreign
  * Update Standards-Version to 4.6.1

 -- David Prévot <taffit@debian.org>  Thu, 08 Sep 2022 10:57:28 -0400

=== debian/control ===
--- 
+++ 
@@ -5,18 +5,19 @@
 Uploaders: David Prévot <taffit@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-phpcomposer,
-               php-async-aws-core (>> 1.9),
+               php-async-aws-core,
                phpab,
                phpunit,
                pkg-php-tools (>= 1.41~)
-Standards-Version: 4.6.0
-Vcs-Git: https://salsa.debian.org/php-team/pear/php-async-aws-ses.git -b debian/latest
+Standards-Version: 4.6.1
+Vcs-Git: https://salsa.debian.org/php-team/pear/php-async-aws-ses.git
 Vcs-Browser: https://salsa.debian.org/php-team/pear/php-async-aws-ses
 Homepage: https://async-aws.com/clients/ses.html
 Rules-Requires-Root: no
 
 Package: php-async-aws-ses
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
 Suggests: ${phpcomposer:Debian-suggest}
 Replaces: ${phpcomposer:Debian-replace}

=== debian/rules ===
--- 
+++ 
@@ -1,15 +1,17 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@ --with phpcomposer
+	dh $@
 
 override_dh_auto_build:
+	phpabtpl composer.json > debian/autoload.php.tpl
 	phpab \
 		--output src/autoload.php \
 		--template debian/autoload.php.tpl \
 		src
 	mkdir --parents vendor AsyncAws
 	ln -s ../src AsyncAws/Ses
+	phpabtpl --require async-aws/ses > debian/autoload.tests.php.tpl
 	phpab \
 		--output vendor/autoload.php \
 		--template debian/autoload.tests.php.tpl \

=== debian/tests/control ===
Restrictions: rw-build-tree, allow-stderr
Depends: phpab, phpunit, pkg-php-tools (>= 1.41~), @
Test-Command: mkdir -p vendor && phpabtpl --require async-aws/ses > debian/autoload.tests.php.tpl && phpab -o vendor/autoload.php -t debian/autoload.tests.php.tpl tests && phpunit -v tests/Unit

## php-async-aws-ses 1.6.0

=== debian/changelog ===
php-async-aws-ses (1.6.0-1) unstable; urgency=medium

  [ Jérémy Derussé ]
  * prepare next release (#1536)

  [ David Prévot ]
  * Update standards version to 4.6.2, no changes needed.

 -- David Prévot <taffit@debian.org>  Fri, 11 Aug 2023 08:08:43 +0200

## php-async-aws-ses 1.7.0

=== debian/changelog ===
php-async-aws-ses (1.7.0-1) unstable; urgency=medium

  [ Christophe Coevoet ]
  * Allow passing explicit null values for optional input members (#1542)

  [ David Prévot ]
  * Drop incompatible option with PHPUnit 10

 -- David Prévot <taffit@debian.org>  Thu, 14 Dec 2023 08:55:45 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                phpab,
                phpunit,
                pkg-php-tools (>= 1.41~)
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/php-team/pear/php-async-aws-ses.git
 Vcs-Browser: https://salsa.debian.org/php-team/pear/php-async-aws-ses
 Homepage: https://async-aws.com/clients/ses.html

=== debian/rules ===
--- 
+++ 
@@ -20,4 +20,4 @@
 override_dh_auto_clean:
 
 override_dh_auto_test:
-	phpunit -v tests/Unit
+	phpunit tests/Unit

## php-async-aws-ses 1.8.1

=== debian/changelog ===
php-async-aws-ses (1.8.1-1) unstable; urgency=medium

  [ Jérémy Derussé ]
  * Add an accept header in JSON request to help 3rd party services like
    localstack (#1721)
  * Prepare next release (#1733)

 -- David Prévot <taffit@debian.org>  Sat, 06 Jul 2024 15:44:41 +0200

php-async-aws-ses (1.8.0-1) unstable; urgency=medium

  [ Jérémy Derussé ]
  * Update CS dependencies (#1688)
  * Prepare next release

  [ David Prévot ]
  * Update Standards-Version to 4.7.0

 -- David Prévot <taffit@debian.org>  Wed, 15 May 2024 16:57:43 +0200

php-async-aws-ses (1.7.0-2) unstable; urgency=medium

  * Force system dependencies loading

 -- David Prévot <taffit@debian.org>  Wed, 06 Mar 2024 15:55:30 +0100

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,8 @@
                dh-sequence-phpcomposer,
                php-async-aws-core,
                phpab,
-               phpunit,
-               pkg-php-tools (>= 1.41~)
-Standards-Version: 4.6.2
+               phpunit
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/php-team/pear/php-async-aws-ses.git
 Vcs-Browser: https://salsa.debian.org/php-team/pear/php-async-aws-ses
 Homepage: https://async-aws.com/clients/ses.html

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	phpab \
		--output src/autoload.php \
		--template debian/autoload.php.tpl \
		src
	mkdir --parents vendor AsyncAws
	ln -s ../src AsyncAws/Ses
	phpab \
		--output vendor/autoload.php \
		--template debian/autoload.tests.php.tpl \
		tests

override_dh_auto_clean:

override_dh_auto_test:
	phpunit tests/Unit

## php-async-aws-ses 1.8.2

=== debian/changelog ===
php-async-aws-ses (1.8.2-1) unstable; urgency=medium

  [ Jérémy Derussé ]
  * prepare next release (#1778)

  [ David Prévot ]
  * Revert "Force system dependencies loading"
  * Adapt build to updated phpabtpl(1)

 -- David Prévot <taffit@debian.org>  Fri, 11 Oct 2024 09:07:29 +0100

## php-async-aws-ses 1.9.0

=== debian/changelog ===
php-async-aws-ses (1.9.0-1) unstable; urgency=medium

  [ Jérémy Derussé ]
  * prepare next release

 -- David Prévot <taffit@debian.org>  Thu, 26 Dec 2024 09:41:02 +0100

## php-async-aws-ses 1.10.0

=== debian/changelog ===
php-async-aws-ses (1.10.0-1) unstable; urgency=medium

  [ Jérémy Derussé ]
  * Add support for php 8.5 (#1808)
  * prepare next release

 -- David Prévot <taffit@debian.org>  Sun, 19 Jan 2025 09:44:06 +0100

## php-async-aws-ses 1.11.0

=== debian/changelog ===
php-async-aws-ses (1.11.0-1) unstable; urgency=medium

  [ Jordi Boggiano ]
  * Add SESv2 suppressed destination deletion and retrieval methods (#1834)

  [ Jérémy Derussé ]
  * Prepare release

  [ David Prévot ]
  * Update Standards-Version to 4.7.2

 -- David Prévot <taffit@debian.org>  Sat, 08 Mar 2025 15:47:27 +0100

## php-async-aws-ses 1.12.0

=== debian/changelog ===
php-async-aws-ses (1.12.0-1) experimental; urgency=medium

  * Upload to experimental during the freeze

  [ Jérémy Derussé ]
  * Sort exceptions alphabetically (#1875)
  * Prepeare release

 -- David Prévot <taffit@debian.org>  Mon, 12 May 2025 18:42:36 +0200

## php-async-aws-ses 1.13.0

=== debian/changelog ===
php-async-aws-ses (1.13.0-1) unstable; urgency=medium

  * Upload to unstable now that Trixie has been released

  [ Christian Flothmann ]
  * do not call setAccessible() on PHP 8.1+ (#1931)

  [ Jérémy Derussé ]
  * prepare next release (#1932)

 -- David Prévot <taffit@debian.org>  Tue, 12 Aug 2025 13:17:48 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                php-async-aws-core,
                phpab,
                phpunit
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/php-team/pear/php-async-aws-ses.git
 Vcs-Browser: https://salsa.debian.org/php-team/pear/php-async-aws-ses
 Homepage: https://async-aws.com/clients/ses.html

=== debian/tests/control ===
Restrictions: rw-build-tree, allow-stderr
Depends: phpab, phpunit, pkg-php-tools (>= 1.41~), @
Test-Command: mkdir -p vendor && phpabtpl --require async-aws/ses > debian/autoload.tests.php.tpl && phpab -o vendor/autoload.php -t debian/autoload.tests.php.tpl tests && phpunit tests/Unit

=== debian/watch ===
version=4
options=uversionmangle=s/-?([^\d.]+)/~$1/;tr/A-Z/a-z/,\
mode=git,gitmode=full,gitexport=all \
https://github.com/async-aws/ses \
refs/tags/v?(\d.+)

## php-async-aws-ses 1.14.0

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 	echo "Noop"
 
 test: initialize
-	./vendor/bin/simple-phpunit
+	./vendor/bin/phpunit
 
 clean: stop-docker
 stop-docker:

=== debian/changelog ===
php-async-aws-ses (1.14.0-1) unstable; urgency=medium

  [ Jérémy Derussé ]
  * Remove unnecessary `use` (#2023)
  * Add UNKNOWN_TO_SDK value to enums (#1998)
  * prepare next release

  [ Christophe Coevoet ]
  * Drop support for PHP lower than 8.2 (#1967)
  * Migrate the testsuite to PHPUnit 11 (#1977)

  [ David Prévot ]
  * Convert d/watch to version 5
  * Remove Rules-Requires-Root
  * Update Standards-Version to 4.7.3
  * Use php-symfony-phpunit-bridge and php-symfony-error-handler for tests

 -- David Prévot <taffit@debian.org>  Sat, 17 Jan 2026 06:42:09 +0100

=== debian/tests/control ===
Restrictions: allow-stderr, rw-build-tree
Depends: php-symfony-error-handler,
         php-symfony-phpunit-bridge,
         phpab,
         phpunit,
         pkg-php-tools,
         @
Test-Command: mkdir -p vendor && phpabtpl --require symfony/error-handler --require symfony/phpunit-bridge --require async-aws/ses > debian/autoload.tests.php.tpl && phpab -o vendor/autoload.php -t debian/autoload.tests.php.tpl tests && phpunit tests/Unit

=== debian/watch ===
Version: 5

Source: https://github.com/async-aws/ses
Matching-Pattern: refs/tags/v?(\d.+)
Gitexport: all
Gitmode: full
Mode: git
Uversionmangle: s/-?([^\d.]+)/~$1/;tr/A-Z/a-z/

## php-async-aws-ses 1.14.1

=== debian/changelog ===
php-async-aws-ses (1.14.1-1) unstable; urgency=medium

  [ Jérémy Derussé ]
  * Remove unecesary ext-json dependency (#2031)
  * prepare next release

 -- David Prévot <taffit@debian.org>  Mon, 16 Feb 2026 21:39:00 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: php-async-aws-ses
 Section: php
-Priority: optional
 Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
 Uploaders: David Prévot <taffit@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-phpcomposer,
-               php-async-aws-core,
+               php-async-aws-core <!nocheck>,
+               php-symfony-error-handler <!nocheck>,
+               php-symfony-phpunit-bridge <!nocheck>,
                phpab,
-               phpunit
-Standards-Version: 4.7.2
+               phpunit <!nocheck>
+Standards-Version: 4.7.3
 Vcs-Git: https://salsa.debian.org/php-team/pear/php-async-aws-ses.git
 Vcs-Browser: https://salsa.debian.org/php-team/pear/php-async-aws-ses
 Homepage: https://async-aws.com/clients/ses.html
-Rules-Requires-Root: no
 
 Package: php-async-aws-ses
 Architecture: all
